﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using GalaSoft.MvvmLight;
using Workshops.ViewModels.Navigation;

namespace Workshops.ViewModels
{
    public class ShellViewModel : ViewModelBase, INavigationFrame
    {
        private IViewModel _currentPage;

        public IViewModel CurrentPage
        {
            get
            {
                return _currentPage;
            }
            set
            {
                _currentPage = value;
                RaisePropertyChanged("CurrentPage");
            }
        }
    }
}
